Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 601018 - dev-util/xxdiff-4.0.1 : ./defs.h:121:43: error: throw will always call terminate() [-Werror=terminate]
Summary: dev-util/xxdiff-4.0.1 : ./defs.h:121:43: error: throw will always call termin...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-11-27 17:10 UTC by Toralf Förster
Modified: 2016-12-25 18:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-util:xxdiff-4.0.1:20161127-165410.log (dev-util:xxdiff-4.0.1:20161127-165410.log,47.22 KB, text/plain)
2016-11-27 17:11 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,305.68 KB, text/plain)
2016-11-27 17:11 UTC, Toralf Förster
Details
environment (environment,143.75 KB, text/plain)
2016-11-27 17:11 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-11-27 17:10:53 UTC
                 from cmdline.cpp:27:
cmdline.cpp: In destructor ‘virtual XxCmdline::~XxCmdline()’:
./defs.h:121:43: error: throw will always call terminate() [-Werror=terminate]
    { throw XxInternalError( XX_EXC_PARAMS ); }
                                           ^
cmdline.cpp:369:7: note: in expansion of macro ‘XX_ASSERT’


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-13.0-systemd-unstable_20161122-103216) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags ...

  ... in make.conf:
USE="  pax_kernel xtpax -cdinstall -oci8 -bindist ssp cups ffmpeg fitz gles gles2 graphtft gtk imap -jpeg kvm lapack -latex libinput -libvirtd mono mssql multimedia opengl -osc postproc pwquality qml sdl svg -system-cairo system-ffmpeg -system-icu system-libevent theora tools udev ufed usbredir video widgets xetex xinerama zip"

  ... in /etc/portage/package.use/*:
  mail-mta/ssmtp      mta ssl
  net-misc/wget       ssl
  app-editors/xemacs  -nopie
  dev-db/sqlite           secure-delete
  dev-lang/python         sqlite
  dev-qt/qtsql            sqlite
  mail-client/thunderbird -pulseaudio system-icu
  media-libs/libvpx       postproc
  media-libs/libpng       apng
  media-video/ffmpeg      sdl
  net-dns/libidn          -mono
  sys-libs/ntdb           python
  sys-libs/tdb            python
  sys-libs/tevent         python
  x11-libs/cairo          X
  x11-libs/libxcb         xkb
  www-client/firefox      -pulseaudio system-icu
  app-crypt/mit-krb5      -pkinit
  sys-libs/zlib           minizip
  x11-base/xorg-server    glamor -minimal
  app-crypt/pinentry  -qt4
  app-editors/emacs   -dbus -gtk -gtk3 -ssl -svg
  app-text/docbook-xsl-stylesheets  -ruby
  app-text/xmlto      -latex
  dev-libs/boehm-gc   threads
  dev-libs/libpcre    pcre16
  dev-lang/python     threads
  dev-qt/qtgui        egl eglfs
  dev-util/cmake      -qt4 -qt5
  dev-vcs/git         -gtk -perl
  gnome-base/librsvg  -tools
  media-libs/mesa     -vaapi -video_cards_radeonsi -video_cards_radeon
  net-nds/openldap    -sasl
  sys-apps/kmod       tools
  sys-libs/ncurses    -gpm
  x11-libs/gtk+       -cups
  net-misc/openssh    ssl
  sys-apps/busybox    -pam
  dev-lang/mono       minimal
  net-libs/libproxy   -webkit
  x11-libs/gdk-pixbuf X
  sci-chemistry/gromacs -doc

  entries in /etc/portage/package.unmask/*:
  ~sys-apps/sandbox-2.11
  sys-devel/gcc:6.2.0
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.2.0 *
llvm-config --version:
3.9.0
Available Java Virtual Machines:
  [1]   icedtea-bin-7 
  [2]   icedtea-bin-8  system-vm
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.5 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy (fallback)
  [5]   jython2.7 (fallback)

java-config:
The following VMs are available for generation-2:
1)	IcedTea JDK 7.2.6.8 [icedtea-bin-7]
*)	IcedTea JDK 3.2.0 [icedtea-bin-8]
  -----------------------------------------------------------------

Portage 2.3.2 (python 3.4.5-final-0, default/linux/amd64/13.0/systemd, gcc-6.2.0, glibc-2.23-r3, 4.8.10-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.10-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285560 total,   4316392 free
KiB Swap:   67108860 total,  67108860 free
Timestamp of repository gentoo: Sun, 27 Nov 2016 11:22:53 +0000
sh bash 4.4_p5-r1
ld GNU ld (Gentoo 2.27 p1.0) 2.27
app-shells/bash:          4.4_p5-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo, 3.5.2::gentoo
dev-util/cmake:           3.7.0::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.11-r3::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r2::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.27::gentoo
sys-devel/gcc:            6.2.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.8::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

tinderbox
    location: /tmp/tb/data/portage
    masters: gentoo
    priority: 2

local
    location: /usr/local/portage
    masters: gentoo
    priority: 3

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /opt/openfire/resources/security/ /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/qpsmtpd/plugins /var/lib/hsqldb /var/lib/i2pd/certificates"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-Werror=terminate -march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bzip2 cli cracklib crypt cups cxx dri ffmpeg fitz fortran gdbm gles gles2 graphtft gtk iconv imap ipv6 kvm lapack libinput mmx mmxext modules mono mssql multilib multimedia ncurses nls nptl opengl openmp pam pax_kernel pcre postproc pwquality qml readline sdl seccomp session sse sse2 ssl ssp svg system-ffmpeg system-libevent systemd tcpd theora tools udev ufed unicode usbredir video widgets xattr xetex xinerama xtpax zip zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="pt" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-11-27 17:11:00 UTC
Created attachment 454534 [details]
dev-util:xxdiff-4.0.1:20161127-165410.log
Comment 2 Toralf Förster gentoo-dev 2016-11-27 17:11:03 UTC
Created attachment 454536 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2016-11-27 17:11:06 UTC
Created attachment 454538 [details]
environment
Comment 4 Sergei Trofimovich gentoo-dev 2016-12-25 18:17:43 UTC
Pushed a fix as: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a10f8631861e9885de8394d83260506d425318bf

Thank you!